[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TEntryInformation

Executable entry point information structure

## Declaration

Source position: systemh.inc line 397

`type TEntryInformation = record`
`InitFinalTable: Pointer;` |  | List of units to initialize/finalize
`ThreadvarTablesTable: Pointer;` |  | List of threadvar locations
`asm_exit: procedure;` |  | Exit procedure
`PascalMain: procedure;` |  | Main pascal code routine
`valgrind_used: Boolean;` |  | Determine if valgrind is used or not
`end;`

## Description

TEntryInformation is used to initialize a Free Pascal program or library. Under normal circumstances, there should be no need to use this structure directly: it is used by the system unit and special linking units.

Documentation generated on: Feb 26 2014